/*新增的js*/
$(document).ready(function () {
    
	mainright();
	
	$(window).resize(function() {
		mainright();
	});
	
	function mainright(){
		//var mainright_width = $(window).width()-68;
		var mainright_width = $(window).width()-252;
        var mainright_height = $(window).height()-55;
		$(".mainright").css("width", mainright_width+"px");	
		$(".mainright").css("height", mainright_height+"px");	
	}
	
	$('.menuul ol li').each(function(index){
        $('.menuul ol li').eq(index).attr({"checkmenuselectmun":index});
    });
    var checkiconmun = $(".icon li.on").index();
    var checkmenuselectmun = $(".menuul ol li.select").index();

    /*展开时：点击主左侧切换导航*/
     $(".mainleft .nav .icon>li span").click(function () {
         if($(".mainleft").hasClass("closemainleft") ) {
             return ;
         }
         $('.icon li.on').removeClass('on');
         $(this).parents("li").addClass("on");
         $('.menuul ol li.select').removeClass('select');
         $(this).parents("li").find('.menuul ol li:eq(0)').addClass("select");
         var url=$(this).parents("li").find('.menuul ol li:eq(0) a').attr("href");
         $('#mainFrame').attr('src',url);

         checkiconmun = $(this).parents("li").index();
         checkmenuselectmun = $('.menuul li.select').attr("checkmenuselectmun");
         //console.log("checkiconmun",checkiconmun)
         //console.log("checkmenuselectmun",checkmenuselectmun)

     })
    /*展开时：点击副左侧切换导航*/
    $(".menuul ol li").click(function () {
       /* if($(".mainleft").hasClass("closemainleft") ) {
            return ;
        }*/
        $('.menuul ol li.select').removeClass('select');
        $(this).addClass("select");
        checkiconmun = $(this).parents("li").index();
        checkmenuselectmun = $('.menuul li.select').attr("checkmenuselectmun");
        //console.log("checkmenuselectmun",checkmenuselectmun)
    })

    /*收缩和展开的导航*/
    $(".maintop .maxmin .btn").click(function () {
        var is_open = $(this).attr("isopen");
        if(is_open == undefined || is_open == "open"){
            $(".maintop").addClass("closemaintop");
            $(".mainleft").addClass("closemainleft");
            $(".mainright").addClass("closemainright");
            $(this).attr({"isopen":"close"});
            $(".mainleft .nav .icon li.on").removeClass("on");
			$(".mainleft .nav .icon").css("top","42px");

			$(".mainright").css("width", ($(window).width()-68)+"px");
			
        };
        if(is_open == "close"){
            $(".maintop").removeClass("closemaintop");
            $(".mainleft").removeClass("closemainleft");
            $(".mainright").removeClass("closemainright");
            $(this).attr({"isopen":"open"});
            $(".icon li.on").removeClass("on");
            $(".menuul ol li.select").removeClass("select");
            $(".icon>li:eq("+checkiconmun+")").addClass("on");
            $(".menuul ol li:eq("+checkmenuselectmun+")").addClass("select");
			$(".mainleft .nav .icon").css("top","0");

			$(".mainright").css("width", ($(window).width()-252)+"px");

        }
		
    })

    /*收缩:控制左侧导航区域*/
    $(".mainleft .nav .icon>li").hover(function () {
        if($(".mainleft").hasClass("closemainleft") ){
            $(this).addClass("on");
        }
    },function (e) {
        if($(".mainleft").hasClass("closemainleft") ){
            $(".mainleft .nav .icon li.on").removeClass("on");
        }
    });

})
